Skip to main content
GET
/
api
/
v1
/
tasks
/
{id}
/
health
Get stream health status
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/tasks/{id}/health \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "status": "active",
  "task_id": "<string>",
  "age_seconds": 123,
  "is_healthy": true,
  "is_stale": true,
  "is_zombie": true,
  "last_activity_seconds": 123,
  "stream_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Task ID

Response

Stream health status

message
string
required
status
enum<string>
required
Available options:
active,
completed,
stale,
zombie
task_id
string
required

Task ID

age_seconds
integer | null
is_healthy
boolean
is_stale
boolean
is_zombie
boolean
last_activity_seconds
integer | null
stream_id
string